# Functor MoreLabels.Hashtbl.MakeSeeded

    module MakeSeeded: functor (H : SeededHashedType) -> SeededS  with type key = H.t

Parameters: |
`H` | : | `SeededHashedType`

    type key

    type 'a t

    val create : ?random:bool -> int -> 'a t

    val clear : 'a t -> unit

    val reset : 'a t -> unit

    val copy : 'a t -> 'a t

    val add : 'a t ->
           key:key -> data:'a -> unit

    val remove : 'a t -> key -> unit

    val find : 'a t -> key -> 'a

    val find_all : 'a t -> key -> 'a list

    val replace : 'a t ->
           key:key -> data:'a -> unit

    val mem : 'a t -> key -> bool

    val iter : f:(key:key -> data:'a -> unit) ->
           'a t -> unit

    val filter_map_inplace : f:(key:key -> data:'a -> 'a option) ->
           'a t -> unit

    val fold : f:(key:key -> data:'a -> 'b -> 'b) ->
           'a t -> init:'b -> 'b

    val length : 'a t -> int

    val stats : 'a t -> MoreLabels.Hashtbl.statistics